
Name:           cpuset
Version:        1.5.5
Release:        %mkrel 2
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://developer.novell.com/wiki/index.php/Cpuset
Group:          System/Libraries
Summary:        Allows manipulation of cpusets on system and provides higher level functions
Source:         %{name}-%{version}.tar.xz
BuildRequires:  python-devel
Requires:	python >= 2.6

%description

Cpuset is a Python application to make using the cpusets facilities in
the Linux kernel easier.  The actual included command is called cset
and it allows manipulation of cpusets on the system and provides higher
level functions such as implementation and control of a basic cpu
shielding setup.

%prep
%setup -q


%build
CFLAGS="%{optflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
# Install binaries, but do not install docs via setup.py
%{__python} setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-data=/eraseme
%{__rm} -rf %{buildroot}/eraseme

# Install documentation
%{__mkdir_p} %{buildroot}/%{_defaultdocdir}/cpuset
%{__cp} NEWS README INSTALL AUTHORS COPYING cset.init.d %{buildroot}/%{_defaultdocdir}/cpuset/
%{__mkdir_p} %{buildroot}/%{_mandir}/man1
cd doc
%{__cp} *.1 %{buildroot}/%{_mandir}/man1
%{__cp} *.txt %{buildroot}/%{_defaultdocdir}/cpuset/
%{__mkdir} %{buildroot}/%{_defaultdocdir}/cpuset/html
%{__cp} *.html %{buildroot}/%{_defaultdocdir}/cpuset/html/


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/cset
%{python_sitelib}/*
%{_mandir}/man1/*
%{_defaultdocdir}/*


%changelog
* Fri Aug 16 2013 billybot <billybot> 1.5.5-2pclos2013
- update python 2.7

* Fri Apr 29 2011 Texstar <texstar at gmail.com> 1.5.5-1pclos2011
- 1.5.5

* Mon Dec 06 2010 pcserver <pcserver at hush.com> 1.5.0-1pclos2010
- import into pclos

